/*
  'MKUltra' kwin client

  Copyright (C) 2004 Gabor Bernath <gabor@scanguru.hu>
  Port to KDE 3.2.x 
    Copyright (C) 2002 Shamyl Zakariya <zakariya@earthlink.net>
	Based on excellent Web style, 
	  Copyright (C) 2001 Rik Hemsley (rikkus) <rik@kde.org>

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; see the file COPYING.  If not, write to
  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.
*/

#include "MKUltraButtonIconify.h"

namespace MKUltra {

static unsigned char iconify_bits[] =
{
   0x00, 0x00, 0x00, 0x7e, 0x7e, 0x3c, 0x18, 0x00
};

MKUltraButtonIconify::MKUltraButtonIconify(QWidget * parent, MKUltraClient* deco)
  : MKUltraButton(parent, i18n("Minimize"), deco)
{
  QBitmap b(8, 8, iconify_bits, true /* isXBitmap */);
  b.setMask(b);
  setBitmap(b);
}

  void
MKUltraButtonIconify::clickEvent(int /* button */)
{
  emit(minimize());
}

}

#include "MKUltraButtonIconify.moc"
// vim:ts=2:sw=2:tw=78:set et:
